Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. ClientConfigs
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
        GET
      • GET values for one client config key
        GET
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
      • PUT (update) one customer
      • GET a list of customers
      • GET one customer
      • DELETE a customer
      • POST (create) a batch of customers
      • PUT (update) a batch of customers
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  1. ClientConfigs

GET a list of client config values

GET
/clients/{clientno}/clientconfigs
Get details for a list of client config values

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
OK. The request succeeded
Body

🟠400BadRequest
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//clientconfigs?clientconfigkey&group&recordtype&expand' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Get a list of client configs response example
{
    "summary": {
        "totalCount": 2
    },
    "clientConfigs": [
        {
            "clientNo": 2218,
            "clientConfigKey": "DebtCollProposal",
            "status": "active",
            "recordType": "",
            "timeFrom": "2025-10-16T14:56:54.807+02:00",
            "timeTo": "2025-11-16T14:56:54.807+02:00",
            "group": "Export",
            "code": 0,
            "amount": 0,
            "date": "2025-05-05",
            "datetime": "2025-05-05T10:00:00.000+02:00",
            "string1": "finance@testclient.com",
            "string2": "",
            "image": "",
            "externalId1": "",
            "description": "Debt collection proposal. Code: 0 = Do not gen rpt, 1 = Gen rpt"
        },
        {
            "clientNo": 2218,
            "clientConfigKey": "DistrFailReport",
            "status": "active",
            "recordType": "",
            "timeFrom": "2025-01-10T10:15:01.103+02:00",
            "timeTo": "2025-01-11T10:15:01.103+02:00",
            "group": "Export",
            "code": 0,
            "amount": 0,
            "date": "2025-05-05",
            "datetime": "2025-05-05T10:00:00.000+02:00",
            "string1": "distribution@testclient.com",
            "string2": "",
            "image": "",
            "externalId1": "",
            "description": "Export distribution fail report type and email report recipient"
        }
    ]
}
Modified at 2026-04-14 09:49:15
Previous
GET one batch
Next
GET values for one client config key
Built with